'use strict';

var index = require('../../_virtual/index23.js');
var index$1 = require('./node_modules/is-arrayish/index.js');

var hasRequiredSimpleSwizzle;

function requireSimpleSwizzle () {
	if (hasRequiredSimpleSwizzle) return index.__module.exports;
	hasRequiredSimpleSwizzle = 1;

	var isArrayish = index$1.__require();

	var concat = Array.prototype.concat;
	var slice = Array.prototype.slice;

	var swizzle = index.__module.exports = function swizzle(args) {
		var results = [];

		for (var i = 0, len = args.length; i < len; i++) {
			var arg = args[i];

			if (isArrayish(arg)) {
				// http://jsperf.com/javascript-array-concat-vs-push/98
				results = concat.call(results, slice.call(arg));
			} else {
				results.push(arg);
			}
		}

		return results;
	};

	swizzle.wrap = function (fn) {
		return function () {
			return fn(swizzle(arguments));
		};
	};
	return index.__module.exports;
}

exports.__require = requireSimpleSwizzle;
